# OgreShadowTextureManager.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreTexture.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

struct | Ogre::ShadowTextureConfig
| Structure containing the configuration for one shadow texture. More...
class | Ogre::ShadowTextureManager
| Class to manage the available shadow textures which may be shared between many SceneManager instances if formats agree. More...

## Typedefs

typedef std::vector< TexturePtr > | Ogre::ShadowTextureList
typedef std::vector < ShadowTextureConfig > | Ogre::ShadowTextureConfigList
typedef ConstVectorIterator < ShadowTextureConfigList > | Ogre::ConstShadowTextureConfigIterator

## Functions

_OgreExport bool | Ogre::operator== (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)
_OgreExport bool | Ogre::operator!= (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:22 2009